<table mat-table class="nursesTable" [dataSource]="tableDataSource">
        
    <ng-container matColumnDef="nurseName">
        <th mat-header-cell-class="table-col" class='display-col' *matHeaderCellDef>Nurse Name</th>
        <td mat-cell class="display-col" *matCellDef="let msgData">{{msgData.from[0].name}}</td>
    </ng-container>

    <ng-container  matColumnDef="messagesCol">
        <th mat-header-cell-class="table-col" class='display-col' *matHeaderCellDef>Messages</th>
        <td mat-cell class="display-col" *matCellDef="let msgData">{{msgData.text}}</td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="columnsToDisplay"></tr>
    <tr mat-row *matRowDef="let myRowData; columns:columnsToDisplay"></tr>
</table>
<mat-paginator class='paginator' [length]="5" [pageSize]="5" [pageSizeOptions]="[5,10,15]" aria-label="select page">
</mat-paginator>

